export type RegisterBatchCreate = Array<{
    person_id: number,
    course_id: number,
    /**
     * YYYY-MM-DD
     */
    date: string,
}>

export type Register = {
    register_id: number,
    /// Display code, shown on the certificate.
    /// Currently a 4-digit number. After 9999, it will be a 4-digit hex number.
    ///
    /// Example: `0322``
    register_code: number,
    /// Date of creation of the register, in YYYY-MM-DD format
    register_creation_date: string,
    /// Date shown on the certificate, in YYYY-MM-DD format
    register_display_date: string,
    /// Some course's names can be extended with a label.
    /// Used in machinery courses, where the course name is the type of machinery,
    /// and the custom label the manufacturer and series (i.e. `320D CAT`).
    register_custom_label: string,
    /// Foreign key to the person table
    register_person_id: number,
    /// Foreign key to the course table
    register_course_id: number,
    /// If this register is a preview, it is a "no signatures" certificate.
    register_is_preview: boolean
}
